# Interface IRegistryChangeListener

All Superinterfaces:
  `EventListener`

All Known Implementing Classes:
  `CustomizableIntroPart, ExtensionTracker, PopupMenuExtender`

public interface IRegistryChangeListener extends EventListener
Note: for new implementations consider using `IRegistryEventListener`.

A registry change listener is notified of changes to extensions points in the registry. These changes arise from subsequent manipulation of the registry after it was initially created.

This interface can be used without OSGi running.

Clients may implement this interface.

Since:
  3.0
See Also:
  - `IExtensionRegistry`
  - `IRegistryChangeEvent`

## Method Summary

Modifier and Type
Method
Description
`void`
`registryChanged(IRegistryChangeEvent event)`
Notifies this listener that some registry changes are happening, or have already happened.

## Method Details

### registryChanged

void registryChanged(IRegistryChangeEvent event)
Notifies this listener that some registry changes are happening, or have already happened.

The supplied event gives details. This event object (and the deltas in it) is valid only for the duration of the invocation of this method.

Note: This method is called by the platform; it is not intended to be called directly by clients.

Parameters:
  `event` - the registry change event
See Also:
  - `IRegistryChangeEvent`